> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update questionnaire

> Update an existing questionnaire.

Updates one or more fields of a questionnaire.
This endpoint cannot be used to set a questionnaire's status to `APPROVED` or `COMPLETED`. To perform those specific transitions, please use the `approveQuestionnaire` and `completeQuestionnaire` endpoints, respectively.



## OpenAPI

````yaml /reference/manage-vanta.json patch /customer-trust/questionnaires/{questionnaireId}
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /customer-trust/questionnaires/{questionnaireId}:
    patch:
      tags:
        - Customer Trust
      summary: Update questionnaire
      description: >-
        Update an existing questionnaire.


        Updates one or more fields of a questionnaire.

        This endpoint cannot be used to set a questionnaire's status to
        `APPROVED` or `COMPLETED`. To perform those specific transitions, please
        use the `approveQuestionnaire` and `completeQuestionnaire` endpoints,
        respectively.
      operationId: UpdateQuestionnaire
      parameters:
        - in: path
          name: questionnaireId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateQuestionnaireArgs'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerTrustQuestionnaire'
              examples:
                Example 1:
                  value:
                    id: 507f1f77bcf86cd799439011
                    displayName: SOC 2 Security Questionnaire
                    type: SPREADSHEET
                    status: IN_PROGRESS
                    statusLog: []
                    dueDate: '2024-12-31T00:00:00.000Z'
                    metadata:
                      - key: priority
                        value: high
                    tagAndCategoryIds: []
                    createdDate: '2024-12-01T00:00:00.000Z'
                    updatedDate: '2024-12-14T00:00:00.000Z'
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateQuestionnaireArgs:
      properties:
        displayName:
          type: string
          description: Display name of the questionnaire
        dueDate:
          type: string
          nullable: true
          description: >-
            Due date for questionnaire completion (ISO 8601 string, null to
            clear)
        status:
          $ref: '#/components/schemas/SettableQuestionnaireStatus'
          description: Status transition (limited to settable statuses)
        ownerAssignment:
          allOf:
            - $ref: '#/components/schemas/UpdateActorAssignment'
          nullable: true
          description: Owner assignment as Actor (null to unassign)
        approverAssignment:
          allOf:
            - $ref: '#/components/schemas/UpdateActorAssignment'
          nullable: true
          description: >-
            Approver assignment as Actor (null to unassign, requires
            QuestionnaireAutomationAdvanced)
        metadata:
          items:
            $ref: '#/components/schemas/QuestionnaireMetadata'
          type: array
          description: Metadata key-value pairs
        tagAndCategoryIds:
          items:
            $ref: '#/components/schemas/TagInput'
          type: array
          description: >-
            Tags to assign to the questionnaire. Each entry must include a
            categoryId and tagId. Replaces all existing tags.
      type: object
      additionalProperties: false
    CustomerTrustQuestionnaire:
      properties:
        id:
          type: string
        displayName:
          type: string
        url:
          type: string
        type:
          $ref: '#/components/schemas/CustomerTrustQuestionnaireType'
        status:
          $ref: '#/components/schemas/QuestionnaireStatus'
        statusLog:
          items:
            $ref: '#/components/schemas/QuestionnaireStatusChangeEntry'
          type: array
          description: |-
            The status change history log for the questionnaire.
            Entries are ordered by the most recent status change first.
        ownerAssignment:
          $ref: '#/components/schemas/ActorAssignment'
          description: The owner assignment in actor form (User or Team).
        approverAssignment:
          $ref: '#/components/schemas/ActorAssignment'
          description: The approver assignment in actor form (User or Team).
        customerTrustAccountId:
          type: string
        dueDate:
          type: string
          format: date-time
        metadata:
          items:
            properties:
              value:
                type: string
              key:
                type: string
            required:
              - value
              - key
            type: object
          type: array
        tagAndCategoryIds:
          items:
            $ref: '#/components/schemas/TagInput'
          type: array
          description: >-
            Tags assigned to this questionnaire. Each entry contains a
            categoryId and tagId.
        createdDate:
          type: string
          format: date-time
        updatedDate:
          type: string
          format: date-time
        completedDate:
          type: string
          format: date-time
      required:
        - id
        - displayName
        - type
        - status
        - statusLog
        - tagAndCategoryIds
        - createdDate
        - updatedDate
      type: object
      additionalProperties: false
    SettableQuestionnaireStatus:
      type: string
      enum:
        - IN_PROGRESS
        - IN_REVIEW
        - READY_FOR_REVIEW
        - WAITING_ON_ANSWERS
        - ON_HOLD
        - NO_LONGER_NEEDED
    UpdateActorAssignment:
      description: Actor assignment for setting an owner or approver.
      properties:
        type:
          type: string
          enum:
            - User
            - Team
          description: 'The type of actor: "User" for an individual user, "Team" for a team.'
        id:
          type: string
          description: The unique identifier of the user or team.
      required:
        - type
        - id
      type: object
      additionalProperties: false
    QuestionnaireMetadata:
      properties:
        key:
          type: string
        value:
          type: string
      required:
        - key
        - value
      type: object
      additionalProperties: false
    TagInput:
      properties:
        categoryId:
          type: string
        tagId:
          type: string
      required:
        - categoryId
        - tagId
      type: object
      additionalProperties: false
    CustomerTrustQuestionnaireType:
      type: string
      enum:
        - SPREADSHEET
        - WEBSITE
        - DOCUMENT
    QuestionnaireStatus:
      type: string
      enum:
        - APPROVED
        - IN_PROGRESS
        - IN_REVIEW
        - READY_FOR_REVIEW
        - WAITING_ON_ANSWERS
        - ON_HOLD
        - NO_LONGER_NEEDED
        - COMPLETE
        - ERROR
        - EXTRACTING_QUESTIONS
        - QUEUED_FOR_EXTRACTION
        - PROCESSING
        - QUEUED_FOR_PROCESSING
        - WAITING_ON_COLUMN_SELECTION
        - WAITING_ON_COLUMN_APPROVAL
        - QUEUED_FOR_COLUMN_DETECTION
        - DETECTING_COLUMNS
    QuestionnaireStatusChangeEntry:
      properties:
        updatedBy:
          $ref: '#/components/schemas/QuestionnaireUser'
          description: The user who made the status change
        updatedAt:
          type: string
          format: date-time
          description: The date and time when the status was changed
        status:
          $ref: '#/components/schemas/QuestionnaireStatus'
          description: The new status of the questionnaire
        message:
          type: string
          nullable: true
          description: An optional message associated with the status change
      required:
        - updatedBy
        - updatedAt
        - status
        - message
      type: object
      additionalProperties: false
    ActorAssignment:
      properties:
        type:
          type: string
          enum:
            - User
            - Team
        id:
          type: string
        displayName:
          type: string
          nullable: true
      required:
        - type
        - id
        - displayName
      type: object
      additionalProperties: false
    QuestionnaireUser:
      properties:
        id:
          type: string
        displayName:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
      required:
        - id
        - displayName
        - email
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````